# GstNetUtils

GstNetUtils gathers network utility functions, enabling use for all gstreamer plugins.

## Functions

### gst_net_utils_set_socket_tos

    gboolean
    gst_net_utils_set_socket_tos (GSocket * socket,
                                  gint qos_dscp)

Configures IP_TOS value of socket, i.e. sets QoS DSCP.

Parameters:

`socket` –

Socket to configure

`qos_dscp` –

QoS DSCP value

Returns –

TRUE if successful, FALSE in case an error occurred.

Since : 1.18

### GstNet.prototype.net_utils_set_socket_tos

    function GstNet.prototype.net_utils_set_socket_tos(socket: Gio.Socket, qos_dscp: Number): {
        // javascript wrapper for 'gst_net_utils_set_socket_tos'
    }

Configures IP_TOS value of socket, i.e. sets QoS DSCP.

Parameters:

`socket` (Gio.Socket) –

Socket to configure

`qos_dscp` (Number) –

QoS DSCP value

Returns (Number) –

TRUE if successful, FALSE in case an error occurred.

Since : 1.18

### GstNet.net_utils_set_socket_tos

    def GstNet.net_utils_set_socket_tos (socket, qos_dscp):
        #python wrapper for 'gst_net_utils_set_socket_tos'

Configures IP_TOS value of socket, i.e. sets QoS DSCP.

Parameters:

`socket` (Gio.Socket) –

Socket to configure

`qos_dscp` (int) –

QoS DSCP value

Returns (bool) –

TRUE if successful, FALSE in case an error occurred.

Since : 1.18

The results of the search are